Bug 509861 - gwibber crashes after running for a varied amount of time.
gwibber crashes after running for a varied amount of time.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gwibber (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ian Weller
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-06 11:10 EDT by mark mcintyre
Modified: 2009-07-19 06:22 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2.0-2.349bzr.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:22:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gwibber crashes occasionally (550.04 KB, text/plain)
2009-07-06 11:10 EDT, mark mcintyre
no flags Details

  None (edit)
Description mark mcintyre 2009-07-06 11:10:05 EDT
Created attachment 350623 [details]
gwibber crashes occasionally

Description of problem:
gwibber crashes occasionally.  here is the output from the command line execution of the app:
[mock@bluesun ~]$ gwibber
/usr/lib/python2.6/site-packages/gwibber/client.py:530: GtkWarning: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
  self.preferences["hide_taskbar_entry"])
/usr/bin/gwibber:79: PangoWarning: pango_layout_set_width: assertion `layout != NULL' failed
  gtk.main()
/usr/bin/gwibber:79: PangoWarning: pango_layout_get_extents: assertion `layout != NULL' failed
  gtk.main()
/usr/bin/gwibber:79: PangoWarning: pango_layout_get_context: assertion `layout != NULL' failed
  gtk.main()
/usr/bin/gwibber:79: PangoWarning: pango_context_get_language: assertion `context != NULL' failed
  gtk.main()
/usr/bin/gwibber:79: PangoWarning: pango_context_get_metrics: assertion `PANGO_IS_CONTEXT (context)' failed
  gtk.main()
/usr/bin/gwibber:79: PangoWarning: pango_font_metrics_get_ascent: assertion `metrics != NULL' failed
  gtk.main()
/usr/bin/gwibber:79: PangoWarning: pango_font_metrics_get_descent: assertion `metrics != NULL' failed
  gtk.main()
/usr/bin/gwibber:79: PangoWarning: pango_font_metrics_get_approximate_char_width: assertion `metrics != NULL' failed
  gtk.main()
/usr/bin/gwibber:79: PangoWarning: pango_font_metrics_get_approximate_digit_width: assertion `metrics != NULL' failed
  gtk.main()
51b89e93-b545-bf24-2a6f166a-76268920 is dumped

(bug-buddy:8714): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed



Version-Release number of selected component (if applicable):
1.2.0

How reproducible:
start the app and let it run for a while.  at some point, it will die.  restart to repeat process.

Steps to Reproduce:
1.  start gwibber
2.  i let this just run (on a different desktop)
3.  when it crashes, restart
  

see also the bug report attached.  i'm running fedora 11:
[mock@bluesun ~]$ uname -a
Linux bluesun 2.6.29.5-191.fc11.i686.PAE #1 SMP Tue Jun 16 23:19:53 EDT 2009 i686 i686 i386 GNU/Linux
Comment 1 Fedora Update System 2009-07-14 00:07:14 EDT
gwibber-1.2.0-2.349bzr.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gwibber-1.2.0-2.349bzr.fc11
Comment 2 Fedora Update System 2009-07-14 00:07:19 EDT
gwibber-1.2.0-2.349bzr.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gwibber-1.2.0-2.349bzr.fc10
Comment 3 Fedora Update System 2009-07-19 06:18:36 EDT
gwibber-1.2.0-2.349bzr.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7742
Comment 4 Fedora Update System 2009-07-19 06:22:36 EDT
gwibber-1.2.0-2.349bzr.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.